URL: /api/1.0/xmppdomains/<fqdn>/(start|stop|status|aclupdate)
| Arguments | Purpose |
|---|---|
| fqdn | specify the XMPP Domain to control |
| action | Specify action to perform. Valid options are status to Get status, start, or stop |
| Response | |
|---|---|
| HTTP Code | 200 |
URL: /api/1.0/xmppdomains/<fqdn>/status
| Optional Arguments | Purpose |
|---|---|
| refresh=true | Force is_running state to be refreshed against the live XMPP cluster. |
| Response Fields | Purpose |
|---|---|
| domain | fqdn of the current chat domain |
| isEnabled | Boolean indicator specifying if the domain should be running or not |
| isRunning | Boolean indicator showing current state (cached) |
URL: /api/1.0/xmppdomains/<fqdn>/start
| Response Fields | Purpose |
|---|---|
| status | Status of “success” or “error” |
| message | User presentable status message |
URL: /api/1.0/xmppdomains/<fqdn>/stop
| Response Fields | Purpose |
|---|---|
| status | Status of “success” or “error” |
| message | User presentable status message |
URL: /api/1.0/xmppdomains/<fqdn>/aclupdate
Update user ACL changes on running chat system.
| Response Fields | Purpose |
|---|---|
| status | Status of “success” or “error” |
| message | User presentable status message |
This is an example of the XMPP Domain Control JSON returned by the status action:
{
"aclupdateUri": "/api/1.0/xmppdomains/eybh.chatwith.dev.chatmongers.net/aclupdate",
"domain": "eybh.chatwith.dev.chatmongers.net",
"domainEditUri": "/api/1.0/xmppdomains/eybh.chatwith.dev.chatmongers.net",
"isEnabled": true,
"isRunning": false,
"startUri": "/api/1.0/xmppdomains/eybh.chatwith.dev.chatmongers.net/start",
"statusUri": "/api/1.0/xmppdomains/eybh.chatwith.dev.chatmongers.net/status",
"stopUri": "/api/1.0/xmppdomains/eybh.chatwith.dev.chatmongers.net/stop",
"validActions": {
"aclupdate": "Apply a pending ACL update",
"start": "Start the XMPP domain",
"status": "Get the current status of the XMPP domain",
"stop": "Stop the XMPP domain"
}
}